Subject: Re: ssmtp 2.38.7-4 reads headers from message body.
From: Felix van Hove <[email-masked]>
To: [email-masked]
Date: Thu, 16 Oct 2003 18:41:34 +0200

-t isn't supported, see man ssmtp.

I have no problem to forward your message without this option, same ssmtp 
version 2.38.7.

Felix

Frank Slootweg wrote:

> [This is my first posting to this list. I hope the format is OK.]
> 
>   I am trying to use ssmtp (2.38.7-4) as my 'mailer' in tin, the
> newsreader. tin invokes ssmtp as
> 
> /usr/sbin/ssmtp -t < %F
> 
> where %F is a file which contains the header (lines), a blank line (only
> \r\n) and body.
> 
>   I have found that apparently ssmtp keeps reading 'header' lines (like
> From:, etc.) *after* it has read the full header, i.e. it also reads
> 'header' lines from the *body* of the message. For example it will fail
> (on the "From: Frank Slootweg <[email-masked]>" line in the
> *body*) with the below input file.
> 
>   Of course sending a message which contains a header in the body is
> quite common, so at the moment I can not use ssmtp.
> 
>   Is this a known problem? Any solutions/workarounds/etc. (other than
> 'manually' quoting (">") the header lines in the body)?
> 
>   Thanks in advance for any and all responses.
> 
> [start example input file:]
> From: Frank Slootweg <[email-masked]>
> To: Frank Slootweg <[email-masked]>
> Subject: ssmtp test
> 
> -- forwarded message --
> From: Frank Slootweg <[email-masked]>
> Subject: Re: [tin +OE ] Use OE to mail from tin?
> Newsgroups: news.software.readers
> References: <[email-masked]>
> Organization: NOYB
> Date: 11 Oct 2003 19:42:24 GMT
> Message-ID: <[email-masked]>
> 
>   Thanks, Dirk and Urs. I probably first will have a look at the Cygwin
> ssmtp package. In hindsight, it probably isn't fair on tin to ask it to
> invoke OE. It is already sad that it 'has' to *run on* a virus, but
> asking it to willingly *invoke* one is plain cruel. My apologies! [1]
> 
> [1] For the HI: :-)
> -- end of forwarded message --
> [end example input file.]
> 
> [Note: I am sending this with OE, which may and may not correctly
> preserve the blank line (^\r\n$) between the header and body. Of course
> I have tested things with a correct blank line.]
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 
easynet GmbH (http://www.de.easynet.net)
Felix van Hove, system integration
Harburger Schlossstrasse 1, D-21079 Hamburg
fon: +49-40-77175-457, fax: +49-40-77175-498
# easynet is part of the easynet group plc (www.easynetgroup.net)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/